Package tigase.db.derby

# Class StoredProcedures

java.lang.Object
tigase.db.derby.StoredProcedures

public class StoredProcedures extends Object

Version:
  5.1.0, 2010.09.11 at 02:08:58 BST
Author:
  Artur Hefczyc

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoredProcedures()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `tigAccountStatus(String user, ResultSet[] data)`
  `static void`
  `tigActiveAccounts(ResultSet[] data)`
  `static void`
  `tigAddNode(long parentNid, long uid, String node, ResultSet[] data)`
  `static void`
  `tigAddUser(String userId, String userPw, ResultSet[] data)`
  `static void`
  `tigAddUserPlainPw(String userId, String userPw, ResultSet[] data)`
  `static void`
  `tigAllUsers(ResultSet[] data)`
  `static void`
  `tigAllUsersCount(ResultSet[] data)`
  `static void`
  `tigDisableAccount(String userId)`
  `static void`
  `tigDisabledAccounts(ResultSet[] data)`
  `static void`
  `tigEnableAccount(String userId)`
  `static void`
  `tigGetComponentVersion(String component, ResultSet[] data)`
  `static String`
  `tigGetDBProperty(String key)`
  `static void`
  `tigGetPassword(String userId, ResultSet[] data)`
  `static void`
  `tigGetUserDBUid(String userId, ResultSet[] data)`
  `static void`
  `tigInitdb()`
  `static void`
  `tigOfflineUsers(ResultSet[] data)`
  `static void`
  `tigOnlineUsers(ResultSet[] data)`
  `static void`
  `tigRemoveUser(String userId)`
  `static void`
  `tigSetComponentVersion(String name, String version)`
  `static void`
  `tigUpdateAccountStatus(String user, int status)`
  `static void`
  `tigUpdateLoginTime(String userId)`
  `static void`
  `tigUpdatePairs(long nid, long uid, String key, Clob value)`
  `static void`
  `tigUpdatePasswordPlainPw(String userId, String userPw)`
  `static void`
  `tigUpdatePasswordPlainPwRev(String userPw, String userId)`
  `static void`
  `tigUserCredentialRemove(String userId, String username)`
  `static void`
  `tigUserCredentialsGet(String userId, String username, ResultSet[] data)`
  `static void`
  `tigUserCredentialUpdate(String userId, String username, String mechanism, String value)`
  `static void`
  `tigUserLoginPlainPw(String userId, String userPw, ResultSet[] data)`
  `static void`
  `tigUserLogout(String userId)`
  `static void`
  `tigUserUsernamesGet(String userId, ResultSet[] data)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StoredProcedures

    public StoredProcedures()

- ## Method Details

  - ### tigAccountStatus

    public static void tigAccountStatus(String user, ResultSet[] data) throws SQLException
    Throws:
      `SQLException`

  - ### tigActiveAccounts

    public static void tigActiveAccounts(ResultSet[] data) throws SQLException
    Throws:
      `SQLException`

  - ### tigAddNode

    public static void tigAddNode(long parentNid, long uid, String node, ResultSet[] data) throws SQLException
    Throws:
      `SQLException`

  - ### tigAddUser

    public static void tigAddUser(String userId, String userPw, ResultSet[] data) throws SQLException
    Throws:
      `SQLException`

  - ### tigAddUserPlainPw

    public static void tigAddUserPlainPw(String userId, String userPw, ResultSet[] data) throws SQLException
    Throws:
      `SQLException`

  - ### tigAllUsers

    public static void tigAllUsers(ResultSet[] data) throws SQLException
    Throws:
      `SQLException`

  - ### tigAllUsersCount

    public static void tigAllUsersCount(ResultSet[] data) throws SQLException
    Throws:
      `SQLException`

  - ### tigDisableAccount

    public static void tigDisableAccount(String userId) throws SQLException
    Throws:
      `SQLException`

  - ### tigDisabledAccounts

    public static void tigDisabledAccounts(ResultSet[] data) throws SQLException
    Throws:
      `SQLException`

  - ### tigEnableAccount

    public static void tigEnableAccount(String userId) throws SQLException
    Throws:
      `SQLException`

  - ### tigGetComponentVersion

    public static void tigGetComponentVersion(String component, ResultSet[] data) throws SQLException
    Throws:
      `SQLException`

  - ### tigGetDBProperty

    public static String tigGetDBProperty(String key) throws SQLException
    Throws:
      `SQLException`

  - ### tigGetPassword

    public static void tigGetPassword(String userId, ResultSet[] data) throws SQLException
    Throws:
      `SQLException`

  - ### tigGetUserDBUid

    public static void tigGetUserDBUid(String userId, ResultSet[] data) throws SQLException
    Throws:
      `SQLException`

  - ### tigInitdb

    public static void tigInitdb() throws SQLException
    Throws:
      `SQLException`

  - ### tigOfflineUsers

    public static void tigOfflineUsers(ResultSet[] data) throws SQLException
    Throws:
      `SQLException`

  - ### tigOnlineUsers

    public static void tigOnlineUsers(ResultSet[] data) throws SQLException
    Throws:
      `SQLException`

  - ### tigRemoveUser

    public static void tigRemoveUser(String userId) throws SQLException
    Throws:
      `SQLException`

  - ### tigSetComponentVersion

    public static void tigSetComponentVersion(String name, String version) throws SQLException
    Throws:
      `SQLException`

  - ### tigUpdateAccountStatus

    public static void tigUpdateAccountStatus(String user, int status) throws SQLException
    Throws:
      `SQLException`

  - ### tigUpdateLoginTime

    public static void tigUpdateLoginTime(String userId) throws SQLException
    Throws:
      `SQLException`

  - ### tigUpdatePairs

    public static void tigUpdatePairs(long nid, long uid, String key, Clob value) throws SQLException
    Throws:
      `SQLException`

  - ### tigUpdatePasswordPlainPw

    public static void tigUpdatePasswordPlainPw(String userId, String userPw) throws SQLException
    Throws:
      `SQLException`

  - ### tigUpdatePasswordPlainPwRev

    public static void tigUpdatePasswordPlainPwRev(String userPw, String userId) throws SQLException
    Throws:
      `SQLException`

  - ### tigUserCredentialRemove

    public static void tigUserCredentialRemove(String userId, String username) throws SQLException
    Throws:
      `SQLException`

  - ### tigUserCredentialUpdate

    public static void tigUserCredentialUpdate(String userId, String username, String mechanism, String value) throws SQLException
    Throws:
      `SQLException`

  - ### tigUserCredentialsGet

    public static void tigUserCredentialsGet(String userId, String username, ResultSet[] data) throws SQLException
    Throws:
      `SQLException`

  - ### tigUserLoginPlainPw

    public static void tigUserLoginPlainPw(String userId, String userPw, ResultSet[] data) throws SQLException
    Throws:
      `SQLException`

  - ### tigUserLogout

    public static void tigUserLogout(String userId) throws SQLException
    Throws:
      `SQLException`

  - ### tigUserUsernamesGet

    public static void tigUserUsernamesGet(String userId, ResultSet[] data) throws SQLException
    Throws:
      `SQLException`